for create visual studio project just run xcompile/update-workspace.bat
As of I have managed to make Build in Windows Visual Studio 2017
inside of VS you will need to update:
Output Directory ="Debug\"
Intermediate Directory = "Debug\"
Platform ToolSet = "(v140)"
Processor Definitions += "_CRT_SECURE_NO_WARNINGS"
add to executable extra arguments -!oldgfx
right-click the project, choose properties, go to the Debugging section -- there is a box for "Command Arguments".  -!oldgfx
copy resources folder to folder where caesaria.exe is compiled by vs